body {
  margin: 0;
  overflow: hidden;
  background-color: #333582; /* Color de agua */
  font-family: sans-serif;
  color: white;
  text-align: center;
}

.container {
  position: relative;
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.fish-container {
  position: absolute;
  width: 100%;
  height: 100%;
}

.fish {
  position: absolute;
  width: 80px; /* Tamaño del pez */
  height: 40px;
  background-color: #e4e4f7; /* Color del pez */
  border-radius: 50% 50% 50% 50% / 60% 60% 40% 40%;
  animation: swim 10s infinite ease-in-out;
  opacity: 0.8;
}

.fish:before {
  content: '';
  position: absolute;
  top: 10px;
  left: -20px;
  width: 0;
  height: 0;
  border-top: 10px solid transparent;
  border-bottom: 10px solid transparent;
  border-right: 20px solid #ff9900; /* Cola del pez */
}

.fish1 {
  top: 20%;
  left: -10%;
  animation-delay: 0s;
  transform: scale(0.8);
}

.fish2 {
  top: 60%;
  left: -20%;
  animation-delay: 2s;
  background-color: #00ccff;
  transform: scale(1.1);
}

.fish3 {
  top: 40%;
  left: -5%;
  animation-delay: 4s;
  background-color: #ff66b2;
  transform: scale(0.9);
}

.fish4 {
  top: 80%;
  left: -15%;
  animation-delay: 6s;
  background-color: #99ff33;
  transform: scale(1.2);
}

@keyframes swim {
  0% {
    transform: translateX(-100vw) scaleX(1);
  }
  49% {
    transform: translateX(100vw) scaleX(1);
  }
  50% {
    transform: translateX(100vw) scaleX(-1); /* Gira el pez al regresar */
  }
  99% {
    transform: translateX(-100vw) scaleX(-1);
  }
  100% {
    transform: translateX(-100vw) scaleX(1);
  }
}

.text-overlay {
  position: relative;
  z-index: 10;
  text-shadow: 2px 2px 4px rgba(0,0,0,0.5);
}

.text-overlay h1 {
  font-size: 3em;
  margin-bottom: 10px;
}

.text-overlay p {
  font-size: 1.5em;
}